; ##############################################################################
; ##############################################################################
; ##############################################################################
; wird im Interrupt genutzt														
BUFFER_WRITE_TEMP1:
	cbi (LED_BUF_PORT)  ,(LED_BUF_PIN_NR); BUF  an		
	ldi YL, low (adr_FIFO256)			; ADRESSE BUFFER			
	ldi YH, high(adr_FIFO256)
	LDS temp,(adr_BUFFER_ZEIGER_WRITE)	; ZEIGER_WRITE laden		
	add YL,temp							; Adresse berechnen			
	adc YH,NULL
	inc temp							; ZEIGER_WRITE+1			
	; berlauf ?
	LDS temp2,(adr_BUFFER_ZEIGER_READ)	; ZEIGER_READ laden			
	cp temp,temp2
	breq BUFFER_WRITE_ERROR
	STS(adr_BUFFER_ZEIGER_WRITE),temp	; ZEIGER_WRITE speichern	
	ST Y+,temp1							; BYTE im BUFFER ablegen	
	ret
BUFFER_WRITE_ERROR:
	cbi (LED_ROT_PORT),LED_ROT_PIN_NR	; ROT  an					
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
BUFFER_READ:
	; Tummeln sich DATEN im BUFFER ?	
	LDS temp, (adr_BUFFER_ZEIGER_READ)	; ZEIGER_READ			
	LDS temp1,(adr_BUFFER_ZEIGER_WRITE)	; ZEIGER_WRITE			
	cp temp,temp1						; DATEN im BUFFER ?		
	brne BUFFER_READ_RUN
	sbi (LED_BUF_PORT)  ,(LED_BUF_PIN_NR); BUF  aus				
	ret
;																				
BUFFER_READ_RUN:
	; BUFFER auslesen			
	ldi YL, low (adr_FIFO256)			; ADRESSE BUFFER		
	ldi YH, high(adr_FIFO256)
	LDS temp, (adr_BUFFER_ZEIGER_READ)	; ZEIGER_READ laden		
	add YL,temp							; Adresse berechnen		
	adc YH,NULL
	inc temp							; ZEIGER_READ+1			
	STS(adr_BUFFER_ZEIGER_READ),temp	; ZEIGER_READ  speichern
	LD temp1,Y							; BUFFER-BYTE laden		
	; DATEN oder COMMAND-MODUS ?
	LDS temp,(adr_MODUS)				; MODUS laden (0=ASCII)	
	STS(adr_MODUS),NULL					; MODUS zurcksetzen	
	tst temp							; NULL ?				
	brne BUFFER_COMMAND_TEMP1			; ja,SPRUNG===>COMMAND	
	; ASCII oder COMMAND ?		
	cpi temp1,(COMMAND_LCD_COMMAND)		; COMMAND ?				
	brne BUFFER_READ_ASCII				; nein SPRUNG===>ASCII	
	STS(adr_MODUS),EINS					; MODUS '1' setzen		
	rjmp BUFFER_READ					
BUFFER_READ_ASCII:
	; ASCII schreiben			
	ldi YL, low (adr_ASCII)				; ADRESSE ASCII			
	ldi YH, high(adr_ASCII)
	LDS temp,(adr_POSITION_ASCII)		; POSITION laden		
	add YL,temp							; Adresse berechnen		
	adc YH,NULL
	inc temp							; POSITION+1			
	STS(adr_POSITION_ASCII),temp		; POSITION speichern	
	ST Y,temp1							; ASCII speichern		
rjmp BUFFER_READ
; ##############################################################################
; ##############################################################################
; ##############################################################################
; BUFFER COMMAND Abarbeitung													
BUFFER_COMMAND_TEMP1:
	cpi temp1,199+1
	brlo BUFFER_COMMAND_POSITION_TEMP1				; 0...199	

	cpi temp1,(COMMAND_LCD_INVERTIERUNG_ZEILE_AUS)	; 210		
	breq BUFFER_COMMAND_INVERTIERUNG_ZEILE_AUS
	cpi temp1,(COMMAND_LCD_INVERTIERUNG_ZEILE1)+1	; 211...220	
	brlo BUFFER_COMMAND_INVERTIERUNG_ZEILE_TEMP1

	cpi temp1,(COMMAND_LCD_LIGHT_OFF)
	breq BUFFER_COMMAND_LCD_LIGHT_OFF
	cpi temp1,(COMMAND_LCD_LIGHT_MINUS)
	breq BUFFER_COMMAND_LCD_LIGHT_MINUS
	cpi temp1,(COMMAND_LCD_LIGHT_HALF)
	breq BUFFER_COMMAND_LCD_LIGHT_HALF
	cpi temp1,(COMMAND_LCD_LIGHT_PLUS)
	breq BUFFER_COMMAND_LCD_LIGHT_PLUS
	cpi temp1,(COMMAND_LCD_LIGHT_ON)
	breq BUFFER_COMMAND_LCD_LIGHT_ON


	cpi temp1,(COMMAND_LCD_BEEP)
	breq BUFFER_COMMAND_LCD_BEEP


	cpi temp1,(COMMAND_LCD_INVERTIERUNG_ON)
	breq BUFFER_COMMAND_LCD_INVERTIERUNG_ON

	cpi temp1,(COMMAND_LCD_INVERTIERUNG_OFF)
	breq BUFFER_COMMAND_LCD_INVERTIERUNG_OFF

	cpi temp1,(COMMAND_LCD_CURSOR_ON)
	breq BUFFER_COMMAND_LCD_CURSOR_ON

	cpi temp1,(COMMAND_LCD_CURSOR_OFF)
	breq BUFFER_COMMAND_LCD_CURSOR_OFF

	cpi temp1,(COMMAND_LCD_CLEAR_BLACK)
	breq BUFFER_COMMAND_CLEAR_BLACK

	cpi temp1,(COMMAND_LCD_CLEAR)
	breq BUFFER_COMMAND_CLEAR

	cpi temp1,(COMMAND_LCD_RESET)
	breq BUFFER_COMMAND_RESET

	cpi temp1,(COMMAND_LCD_RESET2)
	breq BUFFER_COMMAND_RESET2

	rjmp BUFFER_READ
; ##############################################################################
; ##############################################################################
; ##############################################################################
; POSITION (0...199)											
BUFFER_COMMAND_POSITION_TEMP1:
	STS(adr_POSITION_ASCII),temp1				; POSITION speichern	
	rjmp BUFFER_READ
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ZEILEN-INVERTIERUNG aus 														
BUFFER_COMMAND_INVERTIERUNG_ZEILE_AUS:
	clr INV_ZEILE
	rjmp BUFFER_READ
; ##############################################################################
; ##############################################################################
; ##############################################################################
BUFFER_COMMAND_INVERTIERUNG_ZEILE_TEMP1:
	subi temp1,210
	mov INV_ZEILE,temp1
	rjmp BUFFER_READ
; ##############################################################################
; ##############################################################################
; ##############################################################################
BUFFER_COMMAND_LCD_LIGHT_OFF:
	out OCR1AL, NULL
	rjmp BUFFER_READ
BUFFER_COMMAND_LCD_LIGHT_MINUS:
	in temp,OCR1AL
	dec temp
	out OCR1AL, temp
	rjmp BUFFER_READ
BUFFER_COMMAND_LCD_LIGHT_HALF:
	ldi temp, 127
	out OCR1AL, temp
	rjmp BUFFER_READ
BUFFER_COMMAND_LCD_LIGHT_PLUS:
	in temp,OCR1AL
	inc temp
	out OCR1AL, temp
	rjmp BUFFER_READ
BUFFER_COMMAND_LCD_LIGHT_ON:
	out OCR1AL, VOLL
	rjmp BUFFER_READ
; ##############################################################################
; ##############################################################################
; ##############################################################################
BUFFER_COMMAND_LCD_BEEP:
	cbi (BEEP_PORT),(BEEP_PIN_NR)			; BEEP an	
	ldi temp,(BEEP_DAUER)
	mov TIMER_BEEP,temp
	rjmp BUFFER_READ
; ##############################################################################
; ##############################################################################
; ##############################################################################
BUFFER_COMMAND_LCD_CURSOR_ON:
	clr CURSOR_OFF
	rjmp BUFFER_READ
; ##############################################################################
BUFFER_COMMAND_LCD_CURSOR_OFF:
	mov CURSOR_OFF, VOLL
	rjmp BUFFER_READ
; ##############################################################################
; ##############################################################################
; ##############################################################################
BUFFER_COMMAND_LCD_INVERTIERUNG_ON:
	mov INV_DISPLAY, VOLL
	rjmp BUFFER_READ
; ##############################################################################
BUFFER_COMMAND_LCD_INVERTIERUNG_OFF:
	clr INV_DISPLAY
	rjmp BUFFER_READ
; ##############################################################################
; ##############################################################################
; ##############################################################################
; alles schwarz																	
BUFFER_COMMAND_CLEAR_BLACK:		
	ldi temp1,10						; (SONDERZEICHEN)	
	rjmp BUFFER_COMMAND_CLEAR_TEMP1
; ##############################################################################
; ##############################################################################
; ##############################################################################
; CLEAR																			
BUFFER_COMMAND_CLEAR:		
	ldi temp1,' '	; SPACE		
BUFFER_COMMAND_CLEAR_TEMP1:	
	ldi YL, low (adr_ASCII)				; ADRESSE ASCII			
	ldi YH, high(adr_ASCII)
	ldi temp,200	; Schleife	
BUFFER_READ_CLEAR_s:
	ST Y+, temp1
	dec temp
	brne BUFFER_READ_CLEAR_s
	STS(adr_POSITION_ASCII),NULL				; POSITION NULL			
	rjmp BUFFER_READ
; ##############################################################################
; ##############################################################################
; ##############################################################################
; STANDARD-Werte und CLEAR														
BUFFER_COMMAND_RESET:
	clr INV_ZEILE
	clr INV_DISPLAY
	clr CURSOR_OFF
	rjmp BUFFER_COMMAND_CLEAR
; ##############################################################################
; ##############################################################################
; ##############################################################################
; NEUSTART																		
BUFFER_COMMAND_RESET2:
	rjmp RESET
; ##############################################################################
; ##############################################################################
; ##############################################################################

