; ##############################################################################
; ##############################################################################
; ##############################################################################
LCD_INITIALISIERUNG:
	; auf AUSGANG
	sbi (LCD_CLOCK_DDR),(LCD_CLOCK_PIN_NR)	; LCD-CLOCK 
	sbi (LCD_LP_DDR),(LCD_LP_PIN_NR)		; LCD-LP	
	sbi (LCD_FLM_DDR),(LCD_FLM_PIN_NR)		; LCD-FLM	
	sbi (LCD_M_DDR),(LCD_M_PIN_NR)			; LCD-M		

	sbi (LCD_DATA_DDR),0					; LCD-D0	
	sbi (LCD_DATA_DDR),1					; LCD-D1	
	sbi (LCD_DATA_DDR),2					; LCD-D2	
	sbi (LCD_DATA_DDR),3					; LCD-D3	


	; setzen	
	cbi (LCD_CLOCK_PORT),(LCD_CLOCK_PIN_NR)	; LCD-CLOCK 
	cbi (LCD_LP_PORT),(LCD_LP_PIN_NR)		; LCD-LP	
	cbi (LCD_FLM_PORT),(LCD_FLM_PIN_NR)		; LCD-FLM	
	cbi (LCD_M_PORT),(LCD_M_PIN_NR)			; LCD-M		

	cbi (LCD_DATA_PORT),0					; LCD-D0	
	cbi (LCD_DATA_PORT),1					; LCD-D1	
	cbi (LCD_DATA_PORT),2					; LCD-D2	
	cbi (LCD_DATA_PORT),3					; LCD-D3	

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; REGISTER:
;			XL/XH=ADRESSE fr ASCII (SRAM)	
;			ZL/ZH=ADRESSE TABELLE			
LCD_WRITE:
	cbi (LED_GELB_PORT) ,(LED_GELB_PIN_NR)		; GELB an						
	in SREG_KOPIE, SREG							; SREG sichern			
;-------------------------------------------------------------------------------
; PIXEL-ZEILE write																	
	; INITIALISIERUNG			
	ldi X_Cnt,(XSize)							; SPALTEN-COUNTER initialisieren	
	in  CLOCKL,(LCD_CLOCK_PORT)					; PORT einlesen	(CLOCK)				
	cbr CLOCKL,(1<<0)							; BIT CLEAR							
	in  CLOCKH,(LCD_CLOCK_PORT)					; PORT einlesen	(CLOCK)				
	sbr CLOCKH,(1<<0)							; BIT SET							
LCD_ZEILE_LOOP:
	; DATA						
	LD ZL, X+									; ASCII aus SRAM lesen (ZL)			
	sbrc ZL,7									; BIT 7 gesetzt (inverses ASCII)	
	com INV_ASCII
	andi ZL,0b01111111 							; ASCII nur 0...127			
	LPM TEMPi, Z								; Byte aus TABELLE lesen	
	; Invertierung ASCII ?		
	sbrc INV_ASCII,0
	com TEMPi
	; Invertierung DISPLAY ?	
	sbrc INV_DISPLAY,0
	com TEMPi
	; Invertierung Zeile ?		
	cp INV_ZEILE,Y_Cnt
	brne LCD_ZEILE_BYTE_A
	com TEMPi									; invertieren				
LCD_ZEILE_BYTE_A:
	out (LCD_CLOCK_PORT), clockH				; PCLK (H)					
	out (LCD_DATA_PORT), TEMPi					; Nibble ausgeben			
	out (LCD_CLOCK_PORT), clockL				; PCLK (L)					
	swap TEMPi									; Nibble tauschen			
	out (LCD_DATA_PORT), TEMPi					; Nibble ausgeben			
	out (LCD_CLOCK_PORT), clockH				; PCLK (H)					
	; DATA						
	add ZL,K128									; +128 (fr TABELLE) (ZL)	
	LPM TEMPi, Z								; Byte aus TABELLE lesen	
	; Invertierung ASCII ?		
	sbrc INV_ASCII,0
	com TEMPi
	; Invertierung DISPLAY ?	
	sbrc INV_DISPLAY,0
	com TEMPi
	; Invertierung Zeile ?			
	cp INV_ZEILE,Y_Cnt
	brne LCD_ZEILE_BYTE_B
	com TEMPi									; invertieren				
LCD_ZEILE_BYTE_B:
	out (LCD_CLOCK_PORT), clockL				; PCLK (L)					
	out (LCD_CLOCK_PORT), clockH				; PCLK (H)					
	out (LCD_DATA_PORT), TEMPi					; Nibble ausgeben			
	out (LCD_CLOCK_PORT), clockL				; PCLK (L)					
	swap TEMPi									; Nibble tauschen			
	out (LCD_DATA_PORT), TEMPi					; Nibble ausgeben			
	out (LCD_CLOCK_PORT), clockH				; PCLK (H)					
	clr INV_ASCII								; Invertieren ASCII rckgngig
	dec X_Cnt									; SPALTEN-COUNTER -1		
	out (LCD_CLOCK_PORT), clockL				; PCLK (L)					
	brne LCD_ZEILE_LOOP							; SCHLEIFE					
;-------------------------------------------------------------------------------
; PIXEL-ZEILE abschlieen	
	sbi (LCD_LP_PORT),(LCD_LP_PIN_NR)			; LP (H) ZEILE fertig				
	dec C_Cnt									; Zeichenhhen Counter-1			
	nop											; PAUSE (bei BEDARF)				
	cbi (LCD_LP_PORT),(LCD_LP_PIN_NR)			; LP  (L)							
	cbi (LCD_FLM_PORT),(LCD_FLM_PIN_NR)			; FLM (L)							
	breq LCD_NEXT_TEXTZEILE						; Textzeile fertig ausgegeben ?		
;-------------------------------------------------------------------------------
; TEXTZEILE 																	
	inc ZH										; ZH TABELLE auf nchste Pixelzeile					
	sbiw XL, (XSize)							; Textadresse wieder an Anfang der Textzeile setzen	
	rjmp LCD_EXIT
;-------------------------------------------------------------------------------
; Neue Textzeile einrichten														
LCD_NEXT_TEXTZEILE:							
	ldi ZH,HIGH(FONT*2)							; TABELLE Offset						
	ldi C_Cnt,(CSize)							; Zeichenhhen Counter initalisieren	
	dec Y_Cnt									; Zeilencounter-1						
	brne LCD_EXIT								; FRAME-ENDE ?							
;-------------------------------------------------------------------------------
; FRAME abschlieen																
	sbis (LCD_M_PIN),(LCD_M_PIN_NR)				; Skip if..						
	sbi (LCD_M_PORT),(LCD_M_PIN_NR)				; M   (H)						
	sbic (LCD_M_PIN),(LCD_M_PIN_NR)				; Skip if..						
	cbi (LCD_M_PORT),(LCD_M_PIN_NR)				; M   (L)						
	sbi (LCD_FLM_PORT),(LCD_FLM_PIN_NR)			; FLM (H)						
	ldi Y_Cnt,(YSize)							; Zeilencounter initialisieren	
	ldi XL, low	(adr_ASCII)						; ASCII (SRAM) initialisieren	
	ldi XH, high(adr_ASCII)						;								
;-------------------------------------------------------------------------------
LCD_EXIT:
	out SREG, SREG_KOPIE						; SREG wiederherstellen			
	sbi (LED_GELB_PORT) ,(LED_GELB_PIN_NR)		; GELB aus				
reti
; ##############################################################################
; ##############################################################################
; ##############################################################################
