; ##############################################################################
; ##############################################################################
; ##############################################################################
USART_INITIALISIERUNG:
	ldi temp,TAKT/(BAUD*16)-1  		; Baudrate 								
	out UBRRL,temp
   	ldi temp, (1<<URSEL)|(3<<UCSZ0)	; Frame-Format: 8 Bit					
    out UCSRC, temp
    sbi UCSRB, RXCIE                ; Interrupt bei Empfang	aktivieren		
    sbi UCSRB, RXEN 				; RX aktivieren     					
	sbi UCSRB, TXEN  				; TX aktivieren                 		
	
	sbi PORTD,0						; PULL-UP ein							

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
USART_TX_TEMP1:
	WDR 						; Watch-Dog-RESET					
	sbis UCSRA,UDRE  		   	; Warten bis UDR frei             	
	rjmp USART_TX_TEMP1			; Sprung							
	out UDR, temp1				; senden							
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
USART_RX:
	push TEMP		    		; Sichern von "TEMP" im Stack			
	in	 TEMP,SREG				; Einlesen des SREG 					
	push TEMP	    			; Schreiben von  SREG  im Stack (KOPIE)	
	push TEMP1
	push TEMP2
	push YL
	push YH
; -------------------------------
	; Zeichen einlesen	
	in temp1, UDR
	rcall BUFFER_WRITE_TEMP1
; -------------------------------
	pop YH
	pop YL
	pop TEMP2
	pop TEMP1
	pop	TEMP					; LESEN von SREG vom STACK (KOPIE)	
	out	SREG,TEMP				; Wiederherstellen von SREG			
	pop	TEMP					; Wiederherstellen von "TEMP" 		
reti              
; ##############################################################################
; ##############################################################################
; ##############################################################################
USART_TEST:
	ldi temp1,(COMMAND_LCD_COMMAND)		; COMMAND	
	rcall USART_TX_TEMP1
	ldi temp1,(COMMAND_LCD_RESET)
	rcall USART_TX_TEMP1

	ldi temp1,'U'
	rcall USART_TX_TEMP1
	ldi temp1,'S'
	rcall USART_TX_TEMP1
	ldi temp1,'A'
	rcall USART_TX_TEMP1
	ldi temp1,'R'
	rcall USART_TX_TEMP1
	ldi temp1,'T'
	rcall USART_TX_TEMP1


	ldi temp1,(COMMAND_LCD_COMMAND)		; COMMAND	
	rcall USART_TX_TEMP1
	ldi temp1,108			; POSITION 	
	rcall USART_TX_TEMP1

	ldi temp1,'T'
	rcall USART_TX_TEMP1
	ldi temp1,'e'
	rcall USART_TX_TEMP1
	ldi temp1,'s'
	rcall USART_TX_TEMP1
	ldi temp1,'t'
	rcall USART_TX_TEMP1

	ldi temp1,(COMMAND_LCD_COMMAND)		; COMMAND	
	rcall USART_TX_TEMP1
	ldi temp1,196			; POSITION	
	rcall USART_TX_TEMP1

	ldi temp1,'E'+128
	rcall USART_TX_TEMP1
	ldi temp1,'N'+128
	rcall USART_TX_TEMP1
	ldi temp1,'D'+128
	rcall USART_TX_TEMP1
	ldi temp1,'E'+128
	rcall USART_TX_TEMP1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
