
;												
; LCD STN 320x240 								
;												
; DARSTELLUNG: 20x10 ZEICHEN					
; ZEICHENSATZ: 16x24 PIXEL						
;												
; Bernhard.Erfurt@gmx.de						
; 08/2014										
;												

;****************************************************************************
;*																			*
;*	Die Software darf frei kopiert und verndert werden, solange sie nicht	*
;*	ohne meine Erlaubnis fr kommerzielle Zwecke eingesetzt wird.			*
;*																			*
;****************************************************************************

; Besonderheiten Zeichensatz:												
; ASCII(0) = wird nie genutzt (Kennung fr COMMAND)							
; ASCII(10)= alle PIXEL gesetzt (fr BLACK-DARSTELLUNG)						
;																			

;												
; Anschlussbelegung PINS						
;												
; PB0 ==> LCD-CLOCK (CL2/PIXELTAKT)				
; PB1 ==> LED-LIGHT								
; PB2 ==> LCD-LP 	(CL1/HSync/Latch Puls/LP)	
; PB3 ==> LCD-FLM	(FLM/FRAME/VSync/First-Line-Marker)
; PB4 ==> LCD-M		(M/AC-Drive/				
; PB5 ==> 										
; PB6 ==> Quarz									
; PB7 ==> Quarz									
;												
; PC0 ==> LCD-D0								
; PC1 ==> LCD-D1								
; PC2 ==> LCD-D2								
; PC3 ==> LCD-D3								
; PC4 ==> TWI-SDA								
; PC5 ==> TWI-SCL								
;												
; PD0 ==> RXD									
; PD1 ==> TXD (TESTAUSGANG, bei Bedarf)			
; PD2 ==> LED-BUF (LOW=DATEN im FIFO-BUFFER)	
; PD3 ==> BEEP									
; PD4 ==> 										
; PD5 ==> LED-GRN								
; PD6 ==> LED-GELB								
; PD7 ==> LED-ROT								
;												

; LED GRN:		Lebenslicht									
; LED GELB:		Interruptaktivitt							
; LED ROT:		schwerer TWI ERROR	oder BUFFER berlauf	
; LED BUF:		DATEN im FIFO-Buffer (LOW)					
;															
; LED ROT BLINKEN: 				falscher Interruptaufruf	
; LED ROT+GELB+GRN BLINKEN: 	Fehler PROGRAMM_CHECK		


; SYSTEM										
.include "m8def.inc"				; ATmega8	
.equ TAKT				= 16000000	; CPU TAKT	
.equ BAUD				= 9600		; Baudrate	
.equ BEEP_DAUER 		= 50		; BEEP		
; CURSOR										
.equ CURSOR_ZEICHEN_A	= 9 		; ZEICHEN fr CURSOR
.equ CURSOR_ZEICHEN_B	= 1 		; ZEICHEN fr CURSOR
.equ CURSOR_BLINKDAUER	= 80		; BLINKDAUER		
; TWI / I2C										
.equ TWI_SLAVE_ADRESSE		= 112	; SLAVE-ADRESSE	
.equ TWI_GENERAL_CALL_ENABLE= 0		; GENERAL CALL	
; LCD-Einstellungen								
.equ Framerate			= 60			; Refreshrate (max 65)
.equ HFREQ				= Framerate*240
.equ TDIV				= ((TAKT/8+(HFREQ)/2)/HFREQ)
.equ CSize				= 24		; ZEICHENHHE		
.equ XSize				= 20		; 20x10 Darstellung	
.equ YSize				= 10		; 20x10 Darstellung	
; LCD-COMMAND									
.equ COMMAND_LCD_COMMAND					= 0	; Kennung fr COMMAND	

.equ COMMAND_LCD_INVERTIERUNG_ZEILE_AUS		=210
.equ COMMAND_LCD_INVERTIERUNG_ZEILE10  		=211
.equ COMMAND_LCD_INVERTIERUNG_ZEILE9		=212
.equ COMMAND_LCD_INVERTIERUNG_ZEILE8		=213
.equ COMMAND_LCD_INVERTIERUNG_ZEILE7		=214
.equ COMMAND_LCD_INVERTIERUNG_ZEILE6		=215
.equ COMMAND_LCD_INVERTIERUNG_ZEILE5		=216
.equ COMMAND_LCD_INVERTIERUNG_ZEILE4		=217
.equ COMMAND_LCD_INVERTIERUNG_ZEILE3		=218
.equ COMMAND_LCD_INVERTIERUNG_ZEILE2		=219
.equ COMMAND_LCD_INVERTIERUNG_ZEILE1		=220

.equ COMMAND_LCD_LIGHT_OFF					=230
.equ COMMAND_LCD_LIGHT_MINUS				=231
.equ COMMAND_LCD_LIGHT_HALF					=232
.equ COMMAND_LCD_LIGHT_PLUS					=233
.equ COMMAND_LCD_LIGHT_ON					=234

.equ COMMAND_LCD_BEEP						=235

.equ COMMAND_LCD_CURSOR_ON					=247
.equ COMMAND_LCD_CURSOR_OFF					=248
.equ COMMAND_LCD_INVERTIERUNG_ON			=249
.equ COMMAND_LCD_INVERTIERUNG_OFF			=250
.equ COMMAND_LCD_CLEAR						=251
.equ COMMAND_LCD_CLEAR_BLACK				=252
.equ COMMAND_LCD_RESET						=253
.equ COMMAND_LCD_RESET2						=254
; LED-GRUEN										
.equ LED_GRUEN_PIN_NR				= 5
.equ LED_GRUEN_DDR					= DDRD
.equ LED_GRUEN_PORT					= PORTD
.equ LED_GRUEN_PIN					= PIND
; LED-GELB										
.equ LED_GELB_PIN_NR				= 6
.equ LED_GELB_DDR					= DDRD
.equ LED_GELB_PORT					= PORTD
.equ LED_GELB_PIN					= PIND
; LED-ROT										
.equ LED_ROT_PIN_NR					= 7
.equ LED_ROT_DDR					= DDRD
.equ LED_ROT_PORT					= PORTD
; LED-BUF (LOW=ON=BUFFER noch nicht leer)				
.equ LED_BUF_PIN_NR					= 2
.equ LED_BUF_DDR					= DDRD
.equ LED_BUF_PORT					= PORTD
; BEEP													
.equ BEEP_PIN_NR					= 3
.equ BEEP_DDR						= DDRD
.equ BEEP_PORT						= PORTD
; LED-LIGHT										
.equ LED_LIGHT_PIN_NR				= 1
.equ LED_LIGHT_DDR					= DDRB
.equ LED_LIGHT_PORT					= PORTB
; LCD_CLOCK										
.equ LCD_CLOCK_PIN_NR				= 0
.equ LCD_CLOCK_DDR					= DDRB
.equ LCD_CLOCK_PORT					= PORTB
; LCD_LP										
.equ LCD_LP_PIN_NR					= 2
.equ LCD_LP_DDR						= DDRB
.equ LCD_LP_PORT					= PORTB
; LCD_FLM										
.equ LCD_FLM_PIN_NR					= 3
.equ LCD_FLM_DDR					= DDRB
.equ LCD_FLM_PORT					= PORTB
; LCD_M											
.equ LCD_M_PIN_NR					= 4
.equ LCD_M_DDR						= DDRB
.equ LCD_M_PORT						= PORTB
.equ LCD_M_PIN						= PINB
; LCD_DATA (PORT)								
.equ LCD_DATA_DDR					= DDRC
.equ LCD_DATA_PORT					= PORTC


; Register																
.def SREG_KOPIE	= R3	; KOPIE SREG			(im Interrupt genutzt)	

.def CURSOR_OFF	= R4	; CURSOR 0=on 1=OFF					
.def INV_ASCII	= R5	; ASCII-ZEICHEN-INVERTIERUNG		
.def INV_ZEILE	= R6	; ZEILEN-INVERTIERUNG				
.def INV_DISPLAY= R7	; DISPLAY-INVERTIERUNG			 	

.def TIMER_BEEP	= R8
.def TIME		= R9
.def TIME_ss	= R10	; SEKUNDEN


.def NULL 		= R12	; NULL	
.def EINS 		= R13	; EINS	
.def K128		= R14	; 128	
.def VOLL		= R15	; 255	

.def temp		= R16
.def temp1		= R17
.def temp2		= R18
.def temp3		= R19

.def TEMPi	 	= R20	; TEMP					(im Interrupt genutzt)	
.def X_Cnt		= R21	; SPALTEN-COUNTER		(im Interrupt genutzt)	
.def Y_Cnt		= R22	; Zeilencounter 		(im Interrupt genutzt)	
.def C_Cnt		= R23	; Zeichenhhen-Counter 	(im Interrupt genutzt)	
.def CLOCKL		= R24	
.def CLOCKH		= R25

;.def XL			= R26		; ADRESSE fr SRAM-DATEN (im Interrupt genutzt)	
;.def XH			= R27		; ADRESSE fr SRAM-DATEN (im Interrupt genutzt)	
;.def YL			= R28														
;.def YH			= R29														
;.def ZL			= R30		; ADRESSE fr Tabelle(im Interrupt genutzt)		
;.def ZH			= R31		; ADRESSE fr Tabelle(im Interrupt genutzt)		

; SRAM-BELEGUNG ATmega8															
.equ adr_DATEN						=SRAM_START		; 0x0060 START Adresse 		

.equ adr_BUFFER_ZEIGER_WRITE		=SRAM_START+10	;
.equ adr_BUFFER_ZEIGER_READ			=SRAM_START+11	;
.equ adr_POSITION_ASCII				=SRAM_START+12	; POSITION ASCII 			

.equ adr_MODUS						=SRAM_START+14	; 0=ASCII 1=COMMAND			

.equ adr_FIFO256					=SRAM_START+100	; 256 Byte Eingangspuffer	

.equ adr_ASCII						=SRAM_START+500	; 20x10=200 BYTES (ASCII)	

.equ adr_SRAM_CHECK					=SRAM_START+943	; SRAM CHECK "S" 			


;																				
.cseg					;Beginn eines Code-Segmentes							
.org 0					;Startadresse=0											
;	Interrupt Vektoren															
rjmp RESET      		; Reset Handler                           				
rjmp INTERRUPT_ERROR	;rjmp EXT_INT0   ; IRQ0 Handler                      	
rjmp INTERRUPT_ERROR	;rjmp EXT_INT1   ; IRQ1 Handler                      	
rjmp LCD_WRITE			; rjmp TIM2_COMP  ; Timer2 Compare Handler            	
rjmp INTERRUPT_ERROR	;rjmp TIM2_OVF   ; Timer2 Overflow Handler           	
rjmp INTERRUPT_ERROR	;rjmp TIM1_CAPT  ; Timer1 Capture Handler            	
rjmp INTERRUPT_ERROR	;rjmp TIM1_COMPA ; Timer1 CompareA Handler           	
rjmp INTERRUPT_ERROR	;rjmp TIM1_COMPB ; Timer1 CompareB Handler           	
rjmp INTERRUPT_ERROR	;rjmp TIM1_OVF   ; Timer1 Overflow Handler           	
rjmp INTERRUPT_ERROR	;rjmp TIM0_OVF   ; Timer0 Overflow Handler           	
rjmp INTERRUPT_ERROR	;rjmp SPI_STC    ; SPI Transfer Complete Handler     	
rjmp USART_RX 			; USART RX Complete Handler     						
rjmp INTERRUPT_ERROR	;rjmp USART_UDRE ; UDR Empty Handler                 	
rjmp INTERRUPT_ERROR	;rjmp USART_TXC  ; USART TX Complete Handler         	
rjmp INTERRUPT_ERROR	;rjmp ADC        ; ADC Conversion Complete Handler   	
rjmp INTERRUPT_ERROR	;rjmp EE_RDY     ; EEPROM Ready Handler              	
rjmp INTERRUPT_ERROR	;rjmp ANA_COMP   ; Analog Comparator Handler         	
rjmp TWSI 			    ; Two-wire Serial Interface Handler 					
rjmp INTERRUPT_ERROR	;rjmp SPM_RDY    ; Store Program Memory Ready Handler	


; Unkorrekten Interrupt Aufruf 													
INTERRUPT_ERROR:
	CLI											; INTERRUPTS sperren	
	sbi (LED_GRUEN_PORT),(LED_GRUEN_PIN_NR)		; GRN aus					
	sbi (LED_GELB_PORT),LED_GELB_PIN_NR			; GELB aus  				
	ldi temp,10									; SCHLEIFE initialisieren	
INTERRUPT_ERROR_s:
	cbi (LED_ROT_PORT),LED_ROT_PIN_NR			; ROT  an	
	rcall wait_100ms
	sbi (LED_ROT_PORT),LED_ROT_PIN_NR			; ROT  aus	
	rcall wait_100ms
	dec temp
	brne INTERRUPT_ERROR_s
INTERRUPT_ERROR_NEUSTART:
	rjmp INTERRUPT_ERROR_NEUSTART
; ##############################################################################
; ##############################################################################
; ##############################################################################
RESET:
; STACK initialisieren	
	ldi	temp, low(RAMEND)
	out	SPL, temp					;setup stack pointer
	ldi	temp, high(RAMEND)
	out	SPH, temp					;setup stack pointer
; SRAM lschen										
	rcall SRAM_CLEAR
; STARTWERTE										
	; NULL				
	clr NULL
	; EINS				
	ldi temp,1
	mov EINS,temp
	; 128				
	ldi temp,128
	mov K128,temp
	; 255				
	ldi temp,255
	mov VOLL,temp
	; TIMER_BEEP		
	clr TIMER_BEEP
	; Invers Zeile aus	
	clr INV_ZEILE
	; Invers Display aus
	clr INV_DISPLAY
	; INVERS ASCII aus	
	clr INV_ASCII
	; CURSOR on			
	clr CURSOR_OFF
	; SRAM CHECK		
	ldi temp,'S'
	STS(adr_SRAM_CHECK),temp
	; ZEIGER fr DATA	
	ldi XL,low (adr_ASCII)
	ldi XH,high(adr_ASCII)
	; TABELLE Offset	
	ldi ZL, LOW(FONT*2)	
	ldi ZH,HIGH(FONT*2)	
; PORT B+C+D auf EINGANG und LOW					
	out DDRB, NULL
	out PORTB,NULL
	out DDRC, NULL
	out PORTC,NULL
	out DDRD, NULL
	out PORTD,NULL
	rcall LED_INITIALISIERUNG
	rcall WDR_INITIALISIERUNG
	rcall NEUSTART_MIT_WDR
	rcall LCD_INITIALISIERUNG
	rcall TIMER1_PWM_INITIALISIERUNG
	rcall TIMER2_CTC_INITIALISIERUNG
	rcall TIMER_AKTIVIEREN
	sbi (LED_GRUEN_PORT),LED_GRUEN_PIN_NR		; GRN aus	
	sbi (LED_GELB_PORT),LED_GELB_PIN_NR			; GELB aus	
	sbi (LED_ROT_PORT),LED_ROT_PIN_NR			; ROT  aus	
	cbi (BEEP_PORT)		,(BEEP_PIN_NR)			; BEEP an	
	rcall wait_100ms
	sbi (BEEP_PORT)		,(BEEP_PIN_NR)			; BEEP aus	
; INTERRUPTS freigeben					
	SEI
; ##############################################################################
; ##############################################################################
; ##############################################################################
	rcall ZEICHENSATZ_TEST
	rcall wait_100ms
	rcall wait_100ms
	rcall wait_100ms
	rcall LCD_BEGRUESSUNG
	rcall USART_INITIALISIERUNG
	rcall TWI_INITIALISIERUNG
	cbi (LED_GRUEN_PORT),(LED_GRUEN_PIN_NR)		; GRN an	
	rcall USART_TEST
; ##############################################################################
; ##############################################################################
; ##############################################################################
LOOP:
	WDR
	rcall PROGRAMM_CHECK
	rcall wait_1ms
	rcall BUFFER_READ
	rcall CURSOR		; CURSOR		
	rcall BEEP_TIMER
	rcall SEKUNDEN_TIMER
rjmp LOOP
; ##############################################################################
; ##############################################################################
; ##############################################################################
CURSOR:
	ldi YL, low (adr_ASCII)		; ADRESSE ASCII			
	ldi YH, high(adr_ASCII)
	ldi temp3,0					; SCHLEIFE	
	ldi temp,' '				; SPACE		
;-------------------------------------------------------------------------------
CURSOR_s:
	; Alten CURSOR suchen und durch SPACE ersetzen
	LD temp1,Y
	cpi temp1,(CURSOR_ZEICHEN_A)	
	brne CURSOR_w
	ST Y,temp
CURSOR_w:
	cpi temp1,(CURSOR_ZEICHEN_B)	
	brne CURSOR_ww
	ST Y,temp
CURSOR_ww:
	adiw YL,1	; +1
	dec temp3
	brne CURSOR_s
	; CURSOR on ?
	tst CURSOR_OFF
	breq CURSOR_RUN
	ret
;-------------------------------------------------------------------------------
CURSOR_RUN:
	; Blinken			
	ldi temp3,(CURSOR_ZEICHEN_A)
	sbrc TIME_ss,0
	ldi temp3,(CURSOR_ZEICHEN_B)

	ldi YL, low (adr_ASCII)				; ADRESSE ASCII			
	ldi YH, high(adr_ASCII)
	LDS temp,(adr_POSITION_ASCII)
	add YL,temp
	adc YH,NULL
	ST Y,temp3
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; schaltet BEEP ab																
BEEP_TIMER:
	tst TIMER_BEEP
	breq BEEP_TIMER_OFF
	dec TIMER_BEEP
	cbi (BEEP_PORT),(BEEP_PIN_NR)			; BEEP an	
	ret
BEEP_TIMER_OFF:
	sbi (BEEP_PORT),(BEEP_PIN_NR)			; BEEP aus	
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca. 1s																		
SEKUNDEN_TIMER:
	dec TIME
	breq SEKUNDEN_TIMER_w
	ret
SEKUNDEN_TIMER_w:
	ldi temp,(CURSOR_BLINKDAUER)
	mov TIME, temp
	inc TIME_ss
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################

.include "LCD_BUFFER.asm"
.include "LCD_LCD.asm"
.include "LCD_TWI.asm"
.include "LCD_TIMER.asm"
.include "LCD_SONSTIGES.asm"
.include "LCD_BEISPIELE.asm"
.include "LCD_USART.asm"

.org (2*512);1024
FONT:    ;    16x24         22.08.2014 
.db 0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x55,0xCC,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
.db 0x00,0x00,0x00,0x00,0x30,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x10,0x00
.db 0xF0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
.db 0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x55,0xCC,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
.db 0x00,0x00,0x00,0x00,0x0C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x08,0x00
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00

.db 0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xAA,0xCC,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00
.db 0x00,0x00,0x00,0x00,0x30,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x10,0x00
.db 0xF0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
.db 0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xAA,0xCC,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00
.db 0x00,0x00,0x00,0x00,0x0C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x08,0x00
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00

.db 0x08,0x00,0x00,0x00,0x10,0x30,0x30,0x00,0x55,0x33,0xFF,0x70,0xF0,0x00,0xF3,0x00,0x06,0x00,0x30,0xC3,0xF3,0xF3,0x00,0x30,0x30,0x30,0x00,0x00,0x00,0x00,0x00,0x00
.db 0x00,0x30,0xC3,0xE1,0x30,0x00,0xF1,0x70,0x00,0xE1,0x00,0x00,0x00,0x00,0x00,0x00,0xF1,0x00,0xF0,0xF0,0x00,0xF3,0x30,0xF7,0xF0,0xF0,0x00,0x00,0x00,0x00,0xC3,0xF0
.db 0xF1,0x30,0xF7,0x70,0xF7,0xF7,0xF7,0x70,0xC3,0xF0,0x10,0xE7,0xF7,0x87,0x87,0x70,0xF7,0x70,0xF7,0xF0,0xF3,0xC3,0xC3,0x87,0xC3,0xC3,0xF7,0xF0,0x00,0xF0,0x70,0x00
.db 0xF0,0x00,0xE7,0x00,0x10,0x00,0x30,0x00,0xE7,0x30,0x00,0xE7,0xF3,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x30,0xF3,0xE1,0x00
.db 0x10,0x00,0x00,0x00,0x08,0x0C,0x0C,0x00,0x55,0x33,0xFF,0xEF,0x0F,0x00,0xFF,0x00,0x00,0x60,0x0C,0xC3,0xFF,0xCF,0x00,0x0C,0x0C,0x0C,0x00,0x00,0x00,0x00,0x00,0x00
.db 0x00,0x0C,0xC3,0x87,0x0C,0x00,0x08,0x08,0x87,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x8F,0x0C,0x0F,0x0F,0x87,0xCF,0x0F,0xEF,0x0F,0x0F,0x00,0x00,0xC3,0x00,0x00,0x0F
.db 0x8F,0x0C,0x8F,0x8F,0x0E,0xEF,0xEF,0x8F,0xC3,0x0F,0xEF,0xE1,0x08,0xE1,0xE1,0x0E,0x8F,0x0E,0x8F,0x0F,0xCF,0xC3,0xC3,0xE1,0xC3,0xC3,0xEF,0x0F,0x00,0x0F,0x0E,0x00
.db 0x00,0x00,0x00,0x00,0x8F,0x00,0x0F,0x00,0x00,0x0C,0x87,0x00,0x0C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xCF,0x0C,0x00,0x70,0x00

.db 0x08,0x00,0x00,0x00,0x10,0x30,0x30,0x00,0xAA,0x33,0xFF,0x70,0xF0,0x00,0xF3,0x00,0x06,0x00,0x30,0xC3,0xF3,0xF3,0x00,0x30,0x30,0x30,0x00,0x00,0x00,0x00,0x00,0x00
.db 0x00,0x30,0xC3,0xE1,0x30,0x00,0xF1,0x70,0x00,0xE1,0x00,0x00,0x00,0x00,0x00,0x00,0xF1,0x00,0xF0,0xF0,0x00,0xF3,0x30,0xF7,0xF0,0xF0,0x00,0x00,0x00,0x00,0xC3,0xF0
.db 0xF1,0x30,0xF7,0x70,0xF7,0xF7,0xF7,0xF0,0xC3,0xF0,0x10,0xE7,0xF7,0x87,0x87,0x70,0xF7,0x70,0xF7,0xF0,0xF3,0xC3,0xC3,0x87,0xC3,0xC3,0xF7,0xF0,0x00,0xF0,0x70,0x00
.db 0xF0,0x00,0xE7,0x00,0x10,0x00,0x30,0x00,0xE7,0x30,0x00,0xE7,0xF3,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x30,0xF3,0xF3,0x00
.db 0x10,0x00,0x00,0x00,0x08,0x0C,0x0C,0x00,0xAA,0x33,0xFF,0xEF,0x0F,0x00,0xFF,0x00,0x00,0x60,0x0C,0xC3,0xFF,0xCF,0x00,0x0C,0x0C,0x0C,0x00,0x00,0x00,0x00,0x00,0x00
.db 0x00,0x0C,0xC3,0x87,0x0C,0x00,0x08,0x08,0x87,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x8F,0x0C,0x0F,0x0F,0x87,0xCF,0x0F,0xEF,0x0F,0x0F,0x00,0x00,0xC3,0x00,0x00,0x0F
.db 0x8F,0x0C,0x8F,0x8F,0x0E,0xEF,0xEF,0xCF,0xC3,0x0F,0xEF,0xE1,0x08,0xE1,0xE1,0x0E,0x8F,0x0E,0x8F,0x0F,0xCF,0xC3,0xC3,0xE1,0xC3,0xC3,0xEF,0x0F,0x00,0x0F,0x0E,0x00
.db 0x00,0x00,0x00,0x00,0x8F,0x00,0x0F,0x00,0x00,0x0C,0x87,0x00,0x0C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xCF,0x0C,0x00,0xF0,0x00

.db 0x08,0x00,0x00,0x00,0x70,0xF0,0xF0,0x00,0x55,0xCC,0xFF,0x00,0xC3,0x00,0xC3,0x30,0x87,0x00,0xF0,0xC3,0x3F,0xC3,0x00,0xF0,0xF0,0x30,0x00,0x00,0x00,0x00,0x10,0xF7
.db 0x00,0xF0,0xC3,0xE1,0xF0,0x00,0x97,0x70,0x10,0x70,0x00,0x00,0x00,0x00,0x00,0x00,0x87,0x30,0xC3,0xC3,0x10,0xC3,0xF0,0x87,0xC3,0xC3,0x00,0x00,0x00,0x00,0xF0,0xC3
.db 0x87,0xF0,0xE1,0xE1,0xE1,0xE1,0xE1,0xE1,0xC3,0x30,0x00,0xE1,0xE1,0xE7,0x87,0xE1,0xE1,0xE1,0xE1,0xC3,0x33,0xC3,0xC3,0x87,0xC3,0xC3,0x87,0xF0,0x06,0x00,0xE1,0x00
.db 0x30,0x00,0xE1,0x00,0x00,0x00,0xF0,0x00,0xE1,0x30,0x00,0xE1,0x30,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x30,0x00,0x00,0x00,0x00,0x00,0x00,0x30,0x30,0x30,0x37,0x00
.db 0x10,0x00,0x00,0x00,0x0E,0x0F,0x0F,0x00,0x55,0xCC,0xFF,0xE7,0xC3,0x00,0xF0,0x0C,0x00,0xE1,0x0F,0xC3,0xFC,0xF0,0x00,0x0F,0x0F,0x0C,0x00,0x00,0x00,0x00,0x08,0xEF
.db 0x00,0x0F,0xC3,0x87,0xCF,0x00,0x0E,0x08,0x0E,0x08,0x00,0x00,0x00,0x00,0x00,0x60,0xE1,0x0C,0xC3,0xC3,0x8F,0x00,0x00,0xE1,0xC3,0xC3,0x00,0x00,0x0F,0x00,0x00,0xC3
.db 0xE1,0x0F,0xE1,0xE1,0x87,0x60,0xE1,0xC1,0xC3,0x0C,0x87,0xE1,0x00,0xE7,0xE1,0x87,0xE1,0x87,0xE1,0xC3,0xCC,0xC3,0xC3,0xE1,0xC3,0xC3,0xE7,0x00,0x00,0x0F,0x87,0x00
.db 0x0C,0x00,0x00,0x00,0x87,0x00,0xC3,0x00,0x00,0x0C,0x87,0x00,0x0C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0C,0x0C,0x0C,0xCC,0x00

.db 0x08,0x00,0x00,0x00,0x70,0xF0,0xF0,0x00,0xAA,0xCC,0xFF,0x00,0xC3,0x00,0xC3,0x30,0x87,0x00,0xF0,0xC3,0x3F,0xC3,0x00,0xF0,0xF0,0x30,0x00,0x00,0x00,0x00,0x10,0xF7
.db 0x00,0xF0,0xC3,0xE1,0xF0,0x00,0x97,0x70,0x10,0x70,0x00,0x00,0x00,0x00,0x00,0x00,0x87,0x30,0xC3,0xC3,0x10,0xC3,0xF0,0x87,0xC3,0xC3,0x00,0x00,0x00,0x00,0xF0,0xC3
.db 0x87,0xF0,0xE1,0xE1,0xE1,0xE1,0xE1,0xC3,0xC3,0x30,0x00,0xE1,0xE1,0xE7,0x87,0xE1,0xE1,0xE3,0xE1,0xC3,0x33,0xC3,0xC3,0x87,0xC3,0xC3,0x87,0xF0,0x06,0x00,0xE1,0x00
.db 0x30,0x00,0xE1,0x00,0x00,0x00,0xF0,0x00,0xE1,0x30,0x00,0xE1,0x30,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x30,0x00,0x00,0x00,0x00,0x00,0x00,0x30,0x30,0x30,0x3F,0x00
.db 0x10,0x00,0x00,0x00,0x0E,0x0F,0x0F,0x00,0xAA,0xCC,0xFF,0xE7,0xC3,0x00,0xF0,0x0C,0x00,0xE1,0x0F,0xC3,0xFC,0xF0,0x00,0x0F,0x0F,0x0C,0x00,0x00,0x00,0x00,0x08,0xEF
.db 0x00,0x0F,0xC3,0x87,0xCF,0x00,0x0E,0x08,0x0E,0x08,0x00,0x00,0x00,0x00,0x00,0x60,0xE1,0x0C,0xC3,0xC3,0x8F,0x00,0x00,0xE1,0xC3,0xC3,0x00,0x00,0x0F,0x00,0x00,0xC3
.db 0xE1,0x0F,0xE1,0xE1,0x87,0x60,0xE1,0xE1,0xC3,0x0C,0x87,0xE1,0x00,0xE7,0xE1,0x87,0xE1,0x87,0xE1,0xC3,0xCC,0xC3,0xC3,0xE1,0xC3,0xC3,0xE7,0x00,0x00,0x0F,0x87,0x00
.db 0x0C,0x00,0x00,0x00,0x87,0x00,0xC3,0x00,0x00,0x0C,0x87,0x00,0x0C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0C,0x0C,0x0C,0xCC,0x00

.db 0x08,0x00,0x00,0x00,0xF1,0xF0,0xF3,0x00,0x55,0x33,0xFF,0x70,0xC3,0x00,0xF3,0x3F,0xE7,0x00,0xF3,0xC3,0x3F,0xF0,0x00,0xF3,0xF3,0x30,0x10,0x70,0x00,0xC0,0x10,0xF7
.db 0x00,0xF0,0xC3,0xF7,0xC3,0xC3,0x97,0x70,0x70,0x10,0xC3,0x30,0x00,0x00,0x00,0x00,0x87,0xF3,0xC3,0x00,0x70,0xC3,0xC3,0x87,0xC3,0xC3,0x70,0xF0,0x30,0x00,0x30,0x00
.db 0x87,0xC3,0xE1,0x83,0xE1,0xE1,0xE1,0x83,0xC3,0x30,0x00,0xE1,0xE1,0xF7,0xE7,0x87,0xE1,0x83,0xE1,0xC3,0x30,0xC3,0xC3,0x87,0xC3,0xC3,0x16,0xF0,0x87,0x00,0x87,0x00
.db 0x00,0x00,0xE1,0x00,0x00,0x00,0xF0,0x00,0xE1,0x00,0x00,0xE1,0x30,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x00,0x00,0x00,0x00,0x00,0x00,0x30,0x30,0x30,0x0E,0x10
.db 0x10,0x00,0x00,0x00,0x8F,0x0F,0xCF,0x00,0x55,0x33,0xFF,0x6E,0xC3,0x00,0xFF,0xFC,0x00,0xE7,0xCF,0xC3,0xFC,0x00,0x00,0xCF,0xCF,0x0C,0x0E,0x08,0x00,0x03,0x08,0xEF
.db 0x00,0x0F,0xC3,0xEF,0x00,0xC0,0x0E,0x08,0x08,0x0E,0xC3,0x0C,0x00,0x00,0x00,0xE1,0xE7,0x0C,0xC3,0xC3,0x8F,0x00,0x00,0xE1,0xC3,0xC3,0x0E,0x0C,0x0C,0x00,0x0C,0xC3
.db 0xE1,0xC3,0xE1,0xE1,0xC1,0x00,0x20,0xE1,0xC3,0x0C,0x87,0x87,0x00,0xEF,0xE1,0xE1,0xE1,0xC1,0xE1,0xC3,0x0C,0xC3,0xC3,0xE1,0xC3,0xC3,0x0E,0x00,0x00,0x0F,0xE1,0x00
.db 0x00,0x00,0x00,0x00,0x87,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0C,0x0C,0x0C,0xCF,0x08

.db 0x08,0x00,0x00,0x00,0xF1,0xF0,0xF3,0x00,0xAA,0x33,0xFF,0x70,0xC3,0x00,0xF3,0x3F,0xE7,0x00,0xF3,0xC3,0x3F,0xF0,0x00,0xF3,0xF3,0x30,0x10,0x70,0x00,0xC0,0x10,0xF7
.db 0x00,0xF0,0xC3,0xF7,0xC3,0xC2,0x97,0x70,0x70,0x10,0xC3,0x30,0x00,0x00,0x00,0x00,0x87,0xF3,0xC3,0x00,0x70,0xC3,0xC3,0x87,0xC3,0xC3,0x70,0xF0,0x30,0x00,0x30,0x00
.db 0x87,0xC3,0xE1,0x87,0xE1,0xE1,0xE1,0x83,0xC3,0x30,0x00,0xE1,0xE1,0xF7,0xE7,0x87,0xE1,0x87,0xE1,0xC3,0x30,0xC3,0xC3,0x87,0xC3,0xC3,0x16,0xF0,0x87,0x00,0x87,0x00
.db 0x00,0x00,0xE1,0x00,0x00,0x00,0xF0,0x00,0xE1,0x00,0x00,0xE1,0x30,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x00,0x00,0x00,0x00,0x00,0x00,0x30,0x30,0x30,0x0C,0x10
.db 0x10,0x00,0x00,0x00,0x8F,0x0F,0xCF,0x00,0xAA,0x33,0xFF,0x6E,0xC3,0x00,0xFF,0xFC,0x00,0xE7,0xCF,0xC3,0xFC,0x00,0x00,0xCF,0xCF,0x0C,0x0E,0x08,0x00,0x03,0x08,0xEF
.db 0x00,0x0F,0xC3,0xEF,0x00,0xC0,0x0E,0x08,0x08,0x0E,0xC3,0x0C,0x00,0x00,0x00,0xE1,0xE7,0x0C,0xC3,0xC3,0x8F,0x00,0x00,0xE1,0xC3,0xC3,0x0E,0x0C,0x0C,0x00,0x0C,0xC3
.db 0xE1,0xC3,0xE1,0xE1,0xC1,0x00,0x00,0xE1,0xC3,0x0C,0x87,0x87,0x00,0xEF,0xE1,0xE1,0xE1,0xE1,0xE1,0xC3,0x0C,0xC3,0xC3,0xE1,0xC3,0xC3,0x0E,0x00,0x00,0x0F,0xE1,0x00
.db 0x00,0x00,0x00,0x00,0x87,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0C,0x0C,0x0C,0x8F,0x08

.db 0x08,0x00,0x00,0x00,0xF7,0xFF,0xFF,0x00,0x55,0xCC,0xFF,0xF1,0xC3,0x00,0xC3,0xF3,0xF7,0x70,0x30,0xC3,0x3F,0xF0,0x00,0x30,0x30,0x30,0x00,0xE1,0x87,0xC3,0x70,0xF1
.db 0x00,0x70,0xC0,0xE1,0xC3,0x43,0xF1,0xE1,0xE1,0x00,0xF0,0x30,0x00,0x00,0x00,0x00,0x97,0x30,0x00,0x00,0xE1,0xC3,0xC3,0x00,0xC3,0xC3,0x70,0xF0,0xF0,0xF3,0x00,0x00
.db 0x97,0xC3,0xE1,0x87,0xE1,0xE1,0xE1,0x87,0xC3,0x30,0x00,0xE1,0xE1,0xF7,0xF7,0x87,0xE1,0x87,0xE1,0xC3,0x30,0xC3,0xC3,0x87,0xF0,0xC3,0x10,0xF0,0xE1,0x00,0x00,0x00
.db 0x00,0xF1,0xF1,0xF0,0xF1,0xF0,0xF0,0xF1,0xE1,0xF3,0x70,0xE1,0x30,0xB7,0xF3,0xF0,0x97,0xF1,0xE7,0xF0,0xF3,0x87,0xC3,0x87,0x87,0xC3,0xF3,0xF0,0x30,0x00,0x00,0x70
.db 0x10,0x00,0x00,0x00,0xEF,0xFF,0xFF,0x00,0x55,0xCC,0xFF,0x68,0xC3,0x00,0xF0,0xCF,0x0E,0xEF,0x0C,0xC3,0xFC,0x0F,0x00,0x0C,0x0C,0x0C,0x87,0x00,0x00,0xC3,0x0E,0x8F
.db 0x00,0x0E,0x03,0x87,0x00,0xC3,0x08,0x00,0x00,0x87,0x0F,0x0C,0x00,0x00,0x00,0x87,0xEF,0x0C,0xC3,0xC3,0x87,0x00,0x00,0xE1,0xC3,0xC3,0x0E,0x0C,0x00,0xCF,0x0F,0x0F
.db 0xEF,0xC3,0xE1,0x00,0xE1,0x81,0x81,0x00,0xC3,0x0C,0x87,0x87,0x00,0xEF,0xE9,0xE1,0xE1,0xE1,0xE1,0x00,0x0C,0xC3,0xC3,0xE1,0x0F,0xC3,0x0E,0x00,0x00,0x0F,0x00,0x00
.db 0x00,0x0E,0x8F,0x0F,0x8F,0x0F,0x00,0xE9,0x87,0x0C,0x8F,0xE1,0x0C,0x8F,0x0F,0x0F,0x8F,0xE9,0x87,0x0F,0xCF,0x87,0xC3,0xE1,0xE1,0xC3,0xCF,0x00,0x0C,0x0F,0x00,0x0E

.db 0x08,0x00,0x00,0x00,0xF7,0xFF,0xFF,0x00,0xAA,0xCC,0xFF,0xF1,0xC3,0x00,0xC3,0xF3,0xF7,0x70,0x30,0xC3,0x3F,0xF0,0x00,0x30,0x30,0x30,0x00,0xE1,0x87,0xC3,0x70,0xF1
.db 0x00,0x70,0xC0,0xE1,0xC3,0xC3,0xF1,0xE1,0xE1,0x00,0xF0,0x30,0x00,0x00,0x00,0x00,0x97,0x30,0x00,0x00,0xE1,0xC3,0xC3,0x00,0xC3,0xC3,0x70,0xF0,0xF0,0xF3,0x00,0x00
.db 0x97,0xC3,0xE1,0x87,0xE1,0xE1,0xE1,0x87,0xC3,0x30,0x00,0xE1,0xE1,0xF7,0xF7,0x87,0xE1,0x87,0xE1,0xC3,0x30,0xC3,0xC3,0x87,0xF0,0xC3,0x10,0xF0,0xE1,0x00,0x00,0x00
.db 0x00,0xF1,0xF1,0xF1,0xF1,0xF0,0xF0,0xF1,0xE1,0xF3,0x70,0xE1,0x30,0xF7,0xF3,0xF0,0x97,0xF1,0xE7,0xF0,0xF3,0x87,0xC3,0x87,0x87,0xC3,0xF3,0xF0,0x30,0x00,0x00,0x70
.db 0x10,0x00,0x00,0x00,0xEF,0xFF,0xFF,0x00,0xAA,0xCC,0xFF,0x68,0xC3,0x00,0xF0,0xCF,0x0E,0xEF,0x0C,0xC3,0xFC,0x0F,0x00,0x0C,0x0C,0x0C,0x87,0x00,0x00,0xC3,0x0E,0x8F
.db 0x00,0x0E,0x03,0x87,0x00,0xC3,0x08,0x00,0x00,0x87,0x0F,0x0C,0x00,0x00,0x00,0x87,0xEF,0x0C,0xC3,0xC3,0x87,0x00,0x00,0xE1,0xC3,0xC3,0x0E,0x0C,0x00,0xCF,0x0F,0x0F
.db 0xEF,0xC3,0xE1,0x00,0xE1,0x81,0x81,0x00,0xC3,0x0C,0x87,0x87,0x00,0xEF,0xE9,0xE1,0xE1,0xE1,0xE1,0x00,0x0C,0xC3,0xC3,0xE1,0x0F,0xC3,0x0E,0x00,0x00,0x0F,0x00,0x00
.db 0x00,0x0E,0x8F,0x8F,0x8F,0x0F,0x00,0xE9,0x87,0x0C,0x8F,0xE1,0x0C,0x8F,0x0F,0x0F,0x8F,0xE9,0x87,0x0F,0xCF,0x87,0xC3,0xE1,0xE1,0xC3,0xCF,0x00,0x0C,0x0F,0x00,0x0E

.db 0x08,0x00,0x00,0x00,0xF7,0xCF,0xFF,0x00,0x55,0x33,0xFF,0xF7,0xF0,0x00,0xC3,0xCF,0xF7,0xF7,0x30,0xC3,0xF3,0xC3,0x00,0x30,0x30,0x30,0xF7,0xF7,0x87,0xFF,0x70,0xF1
.db 0x00,0x30,0x00,0xE1,0xF0,0x00,0xF7,0x00,0xE1,0x00,0xFF,0xF3,0x00,0xF7,0x00,0x10,0x97,0x30,0x00,0x30,0x87,0xF3,0xF3,0x00,0xF0,0xF0,0x00,0x00,0xC3,0x00,0x00,0x30
.db 0x97,0xC3,0xF1,0x87,0xE1,0xF1,0xF1,0x87,0xF3,0x30,0x00,0xF1,0xE1,0x97,0xF7,0x87,0xF1,0x87,0xF1,0xF0,0x30,0xC3,0xC3,0x97,0x30,0xF0,0x70,0xF0,0x70,0x00,0x00,0x00
.db 0x00,0x00,0xE1,0xC1,0x87,0xC3,0xF3,0x87,0xF1,0x30,0x00,0xE1,0x30,0x97,0xC3,0xC3,0xE1,0x87,0xE1,0xC3,0xF0,0x87,0xC3,0x87,0xE1,0xC3,0x03,0xC3,0x30,0x00,0x00,0xE1
.db 0x10,0x00,0x00,0x00,0xEF,0xF3,0xFF,0x00,0x55,0x33,0xFF,0x0E,0x0F,0x00,0xF0,0xF3,0xEF,0xEF,0x0C,0xC3,0xFC,0xC3,0x00,0x0C,0x0C,0x0C,0xEF,0xEF,0x00,0xFF,0x0E,0x8F
.db 0x00,0x0C,0x00,0x87,0x0F,0x0F,0x6E,0x00,0x00,0x87,0xFF,0xCF,0x00,0xEF,0x00,0x0E,0xE9,0x0C,0x0F,0x0F,0x87,0x0F,0x0F,0x87,0x0F,0xCF,0x00,0x00,0x00,0x00,0xC3,0x0C
.db 0xEF,0xC3,0x8F,0x00,0xE1,0x8F,0x8F,0x00,0xCF,0x0C,0x87,0x0E,0x00,0xE9,0xEF,0xE1,0x8F,0xE1,0x8F,0x0C,0x0C,0xC3,0xC3,0xE9,0x0C,0x0F,0x08,0x00,0x08,0x0F,0x00,0x00
.db 0x00,0x87,0xE1,0xC3,0x87,0xC3,0x0F,0x87,0xE9,0x0C,0x87,0x87,0x0C,0xE9,0xC3,0xC3,0xE1,0x87,0xE7,0xC3,0x00,0x87,0xC3,0xE1,0x87,0xC3,0xC3,0x00,0x0C,0xC3,0x00,0x87

.db 0x08,0x00,0x00,0x00,0xF7,0xCF,0xFF,0x00,0xAA,0x33,0xFF,0xF7,0xF0,0x00,0xC3,0xCF,0xF7,0xF7,0x30,0xC3,0xF3,0xC3,0x00,0x30,0x30,0x30,0xF7,0xF7,0x87,0xFF,0x70,0xF1
.db 0x00,0x30,0x00,0xE1,0xF0,0x00,0xF7,0x00,0xE1,0x00,0xFF,0xF3,0x00,0xF7,0x00,0x10,0x97,0x30,0x00,0x30,0x87,0xF3,0xF3,0x00,0xF0,0xF0,0x00,0x00,0xC3,0x00,0x00,0x30
.db 0x97,0xC3,0xF1,0x87,0xE1,0xF1,0xF1,0x87,0xF3,0x30,0x00,0xF1,0xE1,0x97,0xF7,0x87,0xF1,0x87,0xF1,0xF0,0x30,0xC3,0xC3,0x97,0x30,0xF0,0x70,0xF0,0x70,0x00,0x00,0x00
.db 0x00,0x00,0xE1,0xC3,0x87,0xC3,0xF3,0x87,0xF1,0x30,0x00,0xE1,0x30,0x97,0xC3,0xC3,0xE1,0x87,0xE1,0xC3,0xF0,0x87,0xC3,0x87,0xE1,0xC3,0x03,0xC3,0x30,0x00,0x00,0xE1
.db 0x10,0x00,0x00,0x00,0xEF,0xF3,0xFF,0x00,0xAA,0x33,0xFF,0x0E,0x0F,0x00,0xF0,0xF3,0xEF,0xEF,0x0C,0xC3,0xFC,0xC3,0x00,0x0C,0x0C,0x0C,0xEF,0xEF,0x00,0xFF,0x0E,0x8F
.db 0x00,0x0C,0x00,0x87,0x0F,0x0F,0x6E,0x00,0x00,0x87,0xFF,0xCF,0x00,0xEF,0x00,0x0E,0xE9,0x0C,0x0F,0x0F,0x87,0x8F,0x0F,0x87,0x0F,0xCF,0x00,0x00,0x00,0x00,0xC3,0x0C
.db 0xEF,0xC3,0x8F,0x00,0xE1,0x8F,0x8F,0x00,0xCF,0x0C,0x87,0x0E,0x00,0xE9,0xEF,0xE1,0x8F,0xE1,0x8F,0x0C,0x0C,0xC3,0xC3,0xE9,0x0C,0x0F,0x08,0x00,0x08,0x0F,0x00,0x00
.db 0x00,0x87,0xE1,0xC1,0x87,0xC3,0x0F,0x87,0xE9,0x0C,0x87,0x87,0x0C,0xE9,0xC3,0xC3,0xE1,0x87,0xE7,0xC3,0x00,0x87,0xC3,0xE1,0x87,0xC3,0xC3,0x00,0x0C,0xC3,0x00,0x87

.db 0x08,0x00,0x00,0x00,0xF1,0xCF,0xF3,0x00,0x55,0xCC,0xFF,0x87,0x30,0x00,0xC3,0xCF,0xF7,0x70,0x30,0x00,0x30,0xC3,0x00,0x30,0x30,0x30,0x00,0xE1,0x87,0xC3,0xF1,0x70
.db 0x00,0x30,0x00,0xE1,0x00,0x30,0x97,0x00,0xE1,0x00,0xF0,0x30,0x00,0x00,0x00,0x70,0xF7,0x30,0x30,0x00,0xF7,0x00,0xC3,0x10,0xC3,0x00,0x00,0x00,0xF0,0xF3,0x00,0x30
.db 0x97,0xF3,0xE1,0x87,0xE1,0xE1,0xE1,0x87,0xC3,0x30,0x07,0xE1,0xE1,0x87,0x97,0x87,0xE1,0x87,0xE1,0x00,0x30,0xC3,0xC3,0x97,0xF0,0x30,0xE1,0xF0,0x10,0x00,0x00,0x00
.db 0x00,0xF1,0xE1,0x83,0x87,0xF3,0xF0,0x87,0xE1,0x30,0x00,0xF1,0x30,0x97,0xC3,0xC3,0xE1,0x87,0xF1,0xF0,0xF0,0x87,0xC3,0x97,0x70,0xC3,0x00,0xF0,0x30,0x00,0x00,0x87
.db 0x10,0x00,0x00,0x00,0x8F,0xF3,0xCF,0x00,0x55,0xCC,0xFF,0x87,0x0C,0x00,0xF0,0xF3,0x0E,0xEF,0x0C,0x00,0xFC,0xC3,0x00,0x0C,0x0C,0x0C,0x87,0x00,0x00,0xC3,0x8F,0x0E
.db 0x00,0x0C,0x00,0x87,0xC3,0x0C,0xEF,0x00,0x00,0x87,0x0F,0x0C,0x00,0x00,0x00,0x08,0xE9,0x0C,0x0C,0xC3,0xEF,0xC3,0xC3,0x0E,0xC3,0x0F,0x00,0x00,0x00,0xCF,0x0F,0x0C
.db 0xEF,0xCF,0xE1,0x00,0xE1,0x81,0x81,0xC7,0xC3,0x0C,0x87,0x87,0x60,0xE1,0xEF,0xE1,0x00,0xE7,0x87,0x0F,0x0C,0xC3,0xC3,0xE9,0x0F,0x0C,0x00,0x00,0x0E,0x0F,0x00,0x00
.db 0x00,0x8F,0xE1,0x00,0x87,0xCF,0x00,0x87,0xE1,0x0C,0x87,0x0E,0x0C,0xE9,0xC3,0xC3,0xE1,0x87,0xE9,0x00,0x00,0x87,0xC3,0xE9,0x0E,0xC3,0x0F,0x00,0x0C,0x0F,0x00,0xE1

.db 0x08,0x00,0x00,0x00,0xF1,0xCF,0xF3,0x00,0xAA,0xCC,0xFF,0x87,0x30,0x00,0xC3,0xCF,0xF7,0x70,0x30,0x00,0x30,0xC3,0x00,0x30,0x30,0x30,0x00,0xE1,0x87,0xC3,0xF1,0x70
.db 0x00,0x30,0x00,0xE1,0x00,0x30,0x97,0x00,0xE1,0x00,0xF0,0x30,0x00,0x00,0x00,0x70,0xF7,0x30,0x30,0x00,0xF7,0x00,0xC3,0x10,0xC3,0x00,0x00,0x00,0xF0,0xF3,0x00,0x30
.db 0x97,0xF3,0xE1,0x87,0xE1,0xE1,0xE1,0x87,0xC3,0x30,0x87,0xE1,0xE1,0x87,0x97,0x87,0xE1,0x87,0xE1,0x00,0x30,0xC3,0xC3,0x97,0xF0,0x30,0xE1,0xF0,0x10,0x00,0x00,0x00
.db 0x00,0xF1,0xE1,0x83,0x87,0xF3,0xF0,0x87,0xE1,0x30,0x00,0xF1,0x30,0x97,0xC3,0xC3,0xE1,0x87,0xF1,0xF0,0xF0,0x87,0xC3,0x97,0x70,0xC3,0x00,0xF0,0x30,0x00,0x00,0x87
.db 0x10,0x00,0x00,0x00,0x8F,0xF3,0xCF,0x00,0xAA,0xCC,0xFF,0x87,0x0C,0x00,0xF0,0xF3,0x0E,0xEF,0x0C,0x00,0xFC,0xC3,0x00,0x0C,0x0C,0x0C,0x87,0x00,0x00,0xC3,0x8F,0x0E
.db 0x00,0x0C,0x00,0x87,0xC3,0x0C,0xEF,0x00,0x00,0x87,0x0F,0x0C,0x00,0x00,0x00,0x08,0xE9,0x0C,0x0C,0xC3,0xEF,0xC3,0xC3,0x0E,0xC3,0x0F,0x00,0x00,0x00,0xCF,0x0F,0x0C
.db 0xEF,0xCF,0xE1,0x00,0xE1,0x81,0x81,0xE7,0xC3,0x0C,0x87,0x87,0x60,0xE1,0xEF,0xE1,0x00,0xE7,0x87,0x0F,0x0C,0xC3,0xC3,0xE9,0x0F,0x0C,0x00,0x00,0x0E,0x0F,0x00,0x00
.db 0x00,0x8F,0xE1,0x00,0x87,0xCF,0x00,0x87,0xE1,0x0C,0x87,0x0E,0x0C,0xE9,0xC3,0xC3,0xE1,0x87,0xE9,0x00,0x00,0x87,0xC3,0xE9,0x0E,0xC3,0x0F,0x00,0x0C,0x0F,0x00,0xE1

.db 0x08,0x00,0x00,0x00,0x70,0x30,0x30,0x00,0x55,0x33,0xFF,0x87,0xF3,0x00,0xC3,0xF3,0xE7,0x00,0xF3,0x00,0x30,0xF0,0xFF,0xF3,0x30,0xF3,0x10,0x70,0xF7,0xC0,0xF1,0x70
.db 0x00,0x00,0x00,0xF7,0x00,0xF0,0x87,0x00,0x70,0x10,0xC3,0x30,0x00,0x00,0x00,0xE1,0xE7,0x30,0xF0,0x00,0x00,0x00,0xC3,0x70,0xC3,0x00,0x70,0xF0,0x30,0x00,0x30,0x00
.db 0x87,0xC3,0xE1,0x87,0xE1,0xE1,0xE1,0x83,0xC3,0x30,0x87,0xE1,0xE1,0x87,0x87,0x87,0xE1,0x97,0xE1,0xC3,0x30,0xC3,0xC3,0xE1,0xC3,0x30,0xE1,0xF0,0x00,0x00,0x00,0x00
.db 0x00,0x87,0xE1,0x83,0x87,0xC3,0xF0,0x87,0xE1,0x30,0x00,0xE1,0x30,0x97,0xC3,0xC3,0xE1,0x87,0xE1,0x00,0xF0,0x87,0xC3,0x97,0x70,0xC3,0xF0,0x30,0x30,0x30,0x00,0x87
.db 0x10,0x00,0x00,0x00,0x0E,0x0C,0x0C,0x00,0x55,0x33,0xFF,0x87,0xCF,0x00,0xF3,0xCF,0x00,0xE7,0xCF,0x00,0xFC,0x0F,0xFF,0xCF,0x0C,0xCF,0x0E,0x08,0xEF,0x03,0x8F,0x0E
.db 0x00,0x00,0x00,0xEF,0xC3,0x00,0x87,0x00,0x08,0x0E,0xC3,0x0C,0x00,0x00,0x00,0x00,0xE1,0x0C,0x00,0xC3,0x87,0xC3,0xC3,0x08,0xC3,0x0F,0x0E,0x0C,0x0C,0x00,0x0C,0x00
.db 0x00,0xC3,0xE1,0xE1,0xC1,0x00,0x00,0xE1,0xC3,0x0C,0x87,0x87,0xE1,0xE1,0xE7,0xE1,0x00,0xEF,0xE1,0xC3,0x0C,0xC3,0xC3,0x87,0xC3,0x0C,0x60,0x00,0x87,0x0F,0x00,0x00
.db 0x00,0x87,0xE1,0x00,0x87,0x00,0x00,0x87,0xE1,0x0C,0x87,0x87,0x0C,0xE9,0xC3,0xC3,0xE1,0x87,0x00,0x0F,0x00,0x87,0xC3,0xE9,0x0E,0xC3,0x00,0x0C,0x0C,0x0C,0x00,0xE1

.db 0x08,0x00,0x00,0x00,0x70,0x30,0x30,0x00,0xAA,0x33,0xFF,0x87,0xF3,0x00,0xC3,0xF3,0xE7,0x00,0xF3,0x00,0x30,0xF0,0xFF,0xF3,0x30,0xF3,0x10,0x70,0xF7,0xC0,0xF1,0x70
.db 0x00,0x00,0x00,0xF7,0x00,0xF0,0x87,0x00,0x70,0x10,0xC3,0x30,0x00,0x00,0x00,0xE1,0xE7,0x30,0xF0,0x00,0x00,0x00,0xC3,0x70,0xC3,0x00,0x70,0xF0,0x30,0x00,0x30,0x00
.db 0x87,0xC3,0xE1,0x83,0xE1,0xE1,0xE1,0x83,0xC3,0x30,0x87,0xE1,0xE1,0x87,0x87,0x87,0xE1,0x93,0xE1,0xC3,0x30,0xC3,0xC3,0xE1,0xC3,0x30,0xE1,0xF0,0x00,0x00,0x00,0x00
.db 0x00,0x87,0xE1,0x83,0x87,0xC3,0xF0,0x87,0xE1,0x30,0x00,0xE1,0x30,0x97,0xC3,0xC3,0xE1,0x87,0xE1,0x00,0xF0,0x87,0xC3,0x97,0x70,0xC3,0xF0,0x30,0x30,0x30,0x00,0x87
.db 0x10,0x00,0x00,0x00,0x0E,0x0C,0x0C,0x00,0xAA,0x33,0xFF,0x87,0xCF,0x00,0xF3,0xCF,0x00,0xE7,0xCF,0x00,0xFC,0x0F,0xFF,0xCF,0x0C,0xCF,0x0E,0x08,0xEF,0x03,0x8F,0x0E
.db 0x00,0x00,0x00,0xEF,0xC3,0x00,0x87,0x00,0x08,0x0E,0xC3,0x0C,0x00,0x00,0x00,0x00,0xE1,0x0C,0x00,0xC3,0x87,0xC3,0xC3,0x08,0xC3,0x0F,0x0E,0x0C,0x0C,0x00,0x0C,0x00
.db 0x00,0xC3,0xE1,0xE1,0xC1,0x00,0x00,0xE1,0xC3,0x0C,0x87,0x87,0xE1,0xE1,0xE7,0xE1,0x00,0xCF,0xE1,0xC3,0x0C,0xC3,0xC3,0x87,0xC3,0x0C,0x60,0x00,0x87,0x0F,0x00,0x00
.db 0x00,0x87,0xE1,0x00,0x87,0x00,0x00,0x87,0xE1,0x0C,0x87,0x87,0x0C,0xE9,0xC3,0xC3,0xE1,0x87,0x00,0x0F,0x00,0x87,0xC3,0xE9,0x0E,0xC3,0x00,0x0C,0x0C,0x0C,0x00,0xE1

.db 0x08,0x00,0x00,0x00,0x10,0x30,0x30,0x00,0x55,0xCC,0xFF,0x87,0x30,0x00,0xCF,0x3F,0x87,0x00,0xF0,0xC3,0x30,0x00,0xFF,0xF0,0x30,0xF0,0x00,0x00,0x00,0x00,0xF7,0x10
.db 0x00,0x10,0x00,0xE1,0xF3,0xC3,0x97,0x00,0x10,0x70,0x00,0x00,0xF0,0x00,0xF0,0x87,0x87,0x30,0xC3,0xC3,0x00,0x83,0xC3,0x70,0xC3,0x30,0x70,0xF0,0x00,0x00,0xF0,0x30
.db 0x87,0xC3,0xE1,0xE1,0xE1,0xE1,0xE1,0xC1,0xC3,0x30,0x87,0xE1,0xE1,0x87,0x87,0xE1,0xE1,0xF3,0xE1,0xC3,0x30,0xC3,0xF0,0xE1,0xC3,0x30,0x87,0xF0,0x00,0x00,0x00,0x00
.db 0x00,0x87,0xE1,0xC3,0x87,0xC3,0xF0,0xF1,0xE1,0x30,0x00,0xE1,0x30,0x97,0xC3,0xC3,0xE1,0x87,0xE1,0xC3,0xF0,0x87,0xF0,0xE1,0xE1,0xF0,0xC3,0x30,0x30,0x30,0x00,0xF7
.db 0x10,0x00,0x00,0x00,0x08,0x0C,0x0C,0x00,0x55,0xCC,0xFF,0x87,0x0C,0x00,0xF3,0xFC,0x00,0xE1,0x0F,0xC3,0xFC,0x0F,0xFF,0x0F,0x0C,0x0F,0x00,0x00,0x00,0x00,0xEF,0x08
.db 0x00,0x08,0x00,0x87,0x0F,0xC3,0x8F,0x00,0x0E,0x08,0x00,0x00,0x0C,0x00,0x0C,0x00,0xE1,0x0C,0xC3,0xC3,0x87,0xC3,0xC3,0x08,0xC3,0x0C,0x0E,0x0C,0x0F,0x00,0x00,0x0C
.db 0x00,0xC3,0xE1,0xE1,0x87,0x60,0x00,0xE1,0xC3,0x0C,0x87,0xE1,0xE1,0xE1,0xE1,0x87,0x00,0x8F,0xE1,0xC3,0x0C,0xC3,0x0F,0x87,0xC3,0x0C,0xE1,0x00,0xE1,0x0F,0x00,0x00
.db 0x00,0x87,0xE1,0xC1,0x87,0xC3,0x00,0x8F,0xE1,0x0C,0x87,0xE1,0x0C,0xE9,0xC3,0xC3,0xE1,0x87,0x00,0xC3,0xC3,0x87,0x0F,0x87,0x87,0x0F,0xC0,0x0C,0x0C,0x0C,0x00,0xEF

.db 0x08,0x00,0x00,0x00,0x10,0x30,0x30,0x00,0xAA,0xCC,0xFF,0x87,0x30,0x00,0xCF,0x3F,0x87,0x00,0xF0,0xC3,0x30,0x00,0xFF,0xF0,0x30,0xF0,0x00,0x00,0x00,0x00,0xF7,0x10
.db 0x00,0x30,0x00,0xE1,0xF3,0xC3,0x97,0x00,0x10,0x70,0x00,0x00,0xF0,0x00,0xF0,0x87,0x87,0x30,0xC3,0xC3,0x00,0xC3,0xC3,0x70,0xC3,0x30,0x70,0xF0,0x00,0x00,0xF0,0x30
.db 0x87,0xC3,0xE1,0xE1,0xE1,0xE1,0xE1,0xE1,0xC3,0x30,0x83,0xE1,0xE1,0x87,0x87,0xE1,0xE1,0xF1,0xE1,0xC3,0x30,0xC3,0xF0,0xE1,0xC3,0x30,0x87,0xF0,0x00,0x00,0x00,0x00
.db 0x00,0x87,0xE1,0xC1,0x87,0xC3,0xF0,0xF1,0xE1,0x30,0x00,0xE1,0x30,0x97,0xC3,0xC3,0xE1,0x87,0xE1,0xC3,0xF0,0x87,0xF0,0xE1,0xE1,0xF0,0xC3,0x30,0x30,0x30,0x00,0xF7
.db 0x10,0x00,0x00,0x00,0x08,0x0C,0x0C,0x00,0xAA,0xCC,0xFF,0x87,0x0C,0x00,0xF3,0xFC,0x00,0xE1,0x0F,0xC3,0xFC,0x0F,0xFF,0x0F,0x0C,0x0F,0x00,0x00,0x00,0x00,0xEF,0x08
.db 0x00,0x0C,0x00,0x87,0x0F,0xC2,0x8F,0x00,0x0E,0x08,0x00,0x00,0x0C,0x00,0x0C,0x00,0xE1,0x0C,0xC3,0xC3,0x87,0xC3,0xC3,0x08,0xC3,0x0C,0x0E,0x0C,0x0F,0x00,0x00,0x0C
.db 0x00,0xC3,0xE1,0xE1,0x87,0x60,0x00,0xE1,0xC3,0x0C,0x87,0xE1,0xE1,0xE1,0xE1,0x87,0x00,0x8F,0xE1,0xC3,0x0C,0xC3,0x0F,0x87,0xC3,0x0C,0xE1,0x00,0xE1,0x0F,0x00,0x00
.db 0x00,0x87,0xE1,0xC3,0x87,0xC3,0x00,0x8F,0xE1,0x0C,0x87,0xE1,0x0C,0xE9,0xC3,0xC3,0xE1,0x87,0x00,0xC3,0xC3,0x87,0x0F,0x87,0x87,0x0F,0xC0,0x0C,0x0C,0x0C,0x00,0xEF

.db 0x08,0x00,0x00,0x00,0x00,0xF3,0xF3,0x00,0x55,0x33,0xFF,0xF1,0x30,0x00,0xCF,0x30,0x06,0x00,0x30,0xC3,0x30,0x0F,0xFF,0x30,0x30,0x30,0x00,0x00,0x00,0x00,0xF7,0x10
.db 0x00,0x30,0x00,0xE1,0x30,0x03,0xF1,0x00,0x00,0xE1,0x00,0x00,0xF0,0x00,0xF0,0x06,0xF1,0xF3,0xF3,0xF0,0x10,0xF1,0xF0,0x70,0xF0,0xF0,0x00,0x30,0x00,0x00,0xC3,0x30
.db 0xF1,0xC3,0xF7,0x70,0xF7,0xF7,0xF7,0xF0,0xC3,0xF0,0xF3,0xE7,0xF7,0x87,0x87,0x70,0xF7,0x00,0xE7,0xF0,0xF0,0xF0,0x30,0xE1,0xC3,0xF0,0xF7,0xF0,0x00,0xF0,0x00,0x00
.db 0x00,0xF1,0x97,0xF1,0xF1,0xF0,0xF3,0x00,0xE7,0xF3,0x87,0xE7,0xF3,0x87,0xC3,0xF0,0xF1,0xF1,0xF7,0xF0,0x30,0xF1,0x30,0xE1,0x87,0x00,0xF3,0x00,0x30,0xF3,0x00,0x00
.db 0x10,0x00,0x00,0x00,0x00,0xCF,0xCF,0x00,0x55,0x33,0xFF,0x0E,0x0C,0x00,0xC3,0x0C,0x00,0x60,0x0C,0xC3,0xFC,0xC3,0xFF,0x0C,0x0C,0x0C,0x00,0x00,0x00,0x00,0xEF,0x08
.db 0x00,0x0C,0x00,0x87,0x0C,0x43,0xE9,0x00,0x87,0x00,0x00,0x00,0x0C,0x00,0x0C,0x00,0x8F,0xCF,0xCF,0x0F,0xEF,0x8F,0x0F,0x08,0x0F,0x0C,0x00,0x0C,0xC3,0x00,0x00,0x0C
.db 0x8F,0xC3,0x8F,0x8F,0x0E,0xEF,0x08,0xEF,0xC3,0x0F,0x0E,0xE1,0xEF,0xE1,0xE1,0x0E,0x08,0x87,0xE1,0x0F,0x0F,0x0F,0x0C,0x87,0xC3,0x0F,0xEF,0x0F,0x60,0x0F,0x00,0x00
.db 0x00,0xE9,0x8F,0x8F,0xE9,0x0F,0x0C,0x87,0xE1,0xCF,0x87,0xE1,0xCF,0xE1,0xC3,0x0F,0x8F,0x8F,0x08,0x0F,0x0F,0xE9,0x0C,0x87,0xE1,0x0F,0xCF,0xCF,0x0C,0x00,0x00,0x00

.db 0x08,0x00,0xFF,0xFF,0x00,0xF3,0xF3,0x00,0xAA,0x33,0xFF,0xF1,0x30,0x00,0xCF,0x30,0x06,0x00,0x30,0xC3,0x30,0x0F,0xFF,0x30,0x30,0x30,0x00,0x00,0x00,0x00,0xF7,0x10
.db 0x00,0x10,0x00,0xE1,0x30,0x03,0xF1,0x00,0x00,0xE1,0x00,0x00,0xF0,0x00,0xF0,0x06,0xF1,0xF3,0xF3,0xF0,0x10,0xF0,0xF0,0x70,0xF0,0xF0,0x00,0x30,0x00,0x00,0xC3,0x30
.db 0xF1,0xC3,0xF7,0x70,0xF7,0xF7,0xF7,0x70,0xC3,0xF0,0xF1,0xE7,0xF7,0x87,0x87,0x70,0xF7,0x00,0xE7,0xF0,0xF0,0xF0,0x30,0xE1,0xC3,0xF0,0xF7,0xF0,0x00,0xF0,0x00,0x00
.db 0x00,0xF1,0x97,0xF0,0xF1,0xF0,0xF3,0x00,0xE7,0xF3,0x87,0xE7,0xF3,0x87,0xC3,0xF0,0xF1,0xF1,0xF7,0xF0,0x30,0xF1,0x30,0xE1,0x87,0x00,0xF3,0x00,0x30,0xF3,0x00,0x00
.db 0x10,0x00,0xFF,0xFF,0x00,0xCF,0xCF,0x00,0xAA,0x33,0xFF,0x0E,0x0C,0x00,0xC3,0x0C,0x00,0x60,0x0C,0xC3,0xFC,0xC3,0xFF,0x0C,0x0C,0x0C,0x00,0x00,0x00,0x00,0xEF,0x08
.db 0x00,0x08,0x00,0x87,0x0C,0xC3,0xE9,0x00,0x87,0x00,0x00,0x00,0x0C,0x00,0x0C,0x00,0x8F,0xCF,0xCF,0x0F,0xEF,0x0F,0x0F,0x08,0x0F,0x0C,0x00,0x0C,0xC3,0x00,0x00,0x0C
.db 0x8F,0xC3,0x8F,0x8F,0x0E,0xEF,0x08,0xCF,0xC3,0x0F,0x0E,0xE1,0xEF,0xE1,0xE1,0x0E,0x08,0x87,0xE1,0x0F,0x0F,0x0F,0x0C,0x87,0xC3,0x0F,0xEF,0x0F,0x60,0x0F,0x00,0x00
.db 0x00,0xE9,0x8F,0x0F,0xE9,0x0F,0x0C,0x87,0xE1,0xCF,0x87,0xE1,0xCF,0xE1,0xC3,0x0F,0x8F,0x8F,0x08,0x0F,0x0F,0xE9,0x0C,0x87,0xE1,0x0F,0xCF,0xCF,0x0C,0x00,0x00,0x00

.db 0x08,0x00,0xFF,0xFF,0x00,0x00,0x00,0x00,0x55,0xCC,0xFF,0x00,0x00,0x00,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0xF3,0x00,0xF3,0x00,0x10,0x00,0x00,0x00,0x00,0x00,0x00
.db 0x00,0x00,0x00,0x00,0x30,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC3,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x00,0x00,0x00,0x00
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x87,0x00,0x00,0x87,0x00,0x00,0x00,0x00,0x00,0xE1,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x30,0x00,0x00,0x00,0x00,0x00,0x00
.db 0x10,0x00,0xFF,0xFF,0x00,0x00,0x00,0x00,0x55,0xCC,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xCF,0x00,0xCF,0x00,0x08,0x00,0x00,0x00,0x00,0x00,0x00
.db 0x00,0x00,0x00,0x00,0x0C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xEF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x87,0x00,0x00,0x87,0x00,0x00,0x00,0x00,0x00,0x00,0x87,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0C,0x00,0x00,0x00,0x00,0x00,0x00

.db 0x08,0xFF,0x00,0xFF,0x00,0x00,0x00,0x00,0xAA,0xCC,0xFF,0x00,0x00,0x00,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0xF3,0x00,0xF3,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
.db 0x00,0x00,0x00,0x00,0x30,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC3,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x00,0x00,0x00,0x00
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x87,0x00,0x00,0x87,0x00,0x00,0x00,0x00,0x00,0xE1,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x30,0x00,0x00,0x00,0x00,0x00,0x00
.db 0x10,0xFF,0x00,0xFF,0x00,0x00,0x00,0x00,0xAA,0xCC,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xCF,0x00,0xCF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
.db 0x00,0x00,0x00,0x00,0x0C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xEF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x87,0x00,0x00,0x87,0x00,0x00,0x00,0x00,0x00,0x00,0x87,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0C,0x00,0x00,0x00,0x00,0x00,0x00

.db 0x08,0xFF,0x00,0xFF,0x00,0x00,0x00,0x00,0x55,0x33,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF1,0x00,0x00,0xF1,0x00,0x00,0x00,0x00,0x00,0xF7,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF3,0x00,0x00,0x00,0x00,0x00,0x00
.db 0x10,0xFF,0x00,0xFF,0x00,0x00,0x00,0x00,0x55,0x33,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0E,0x00,0x00,0x0E,0x00,0x00,0x00,0x00,0x00,0x08,0xEF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00

.db 0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xAA,0x33,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF1,0x00,0x00,0xF1,0x00,0x00,0x00,0x00,0x00,0xF7,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xE1,0x00,0x00,0x00,0x00,0x00,0x00
.db 0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xAA,0x33,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0E,0x00,0x00,0x0E,0x00,0x00,0x00,0x00,0x00,0x08,0xEF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00


; Anmerkung:
; Es sind nur 128 ASCII-Zeichen (0...127) hinterlegt, 128*16*24/8 = 6.144 Byte
; Im Display ist oben die Zeile-0.
; Beginnend von links wird jede Zeile geschrieben, zuerst das HIGH-BYTE, dann das LOW-BYTE
; In der Tabelle ist an erster Stelle das HIGH-Byte abgelegt, 128 Byte weiter das LOW-BYTE
; Bei allen Bytes wurde das obere und das untere Nibble getauscht (SWAP)
; In einem Tabellenblock ist immer eine Zeichenzeile hinterlegt, beginnend mit der Obersten Zeichenzeile
